> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check affordability



## OpenAPI

````yaml openapi/lending.yaml post /lending/affordability/check
openapi: 3.0.3
info:
  title: TXCloud LendingRisk API
  version: 1.0.0
  description: |
    Credit risk assessment and affordability analysis for lending decisions.
    Aggregates data from bank statements, bureaus, and alternative sources.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Assessment
    description: Credit assessment endpoints
  - name: Income
    description: Income verification
  - name: Statements
    description: Bank statement analysis
  - name: Monitoring
    description: Borrower monitoring
  - name: Models
    description: Scoring models
  - name: Analytics
    description: Portfolio analytics
paths:
  /lending/affordability/check:
    post:
      tags:
        - Income
      summary: Check affordability
      operationId: checkAffordability
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AffordabilityRequest'
      responses:
        '200':
          description: Affordability result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AffordabilityCheck'
components:
  schemas:
    AffordabilityRequest:
      type: object
      properties:
        applicant_id:
          type: string
        monthly_income:
          type: number
        monthly_expenses:
          type: number
        existing_debt_payments:
          type: number
        proposed_loan:
          type: object
          properties:
            amount:
              type: number
            term_months:
              type: integer
            rate:
              type: number
    AffordabilityCheck:
      type: object
      properties:
        id:
          type: string
        affordable:
          type: boolean
        monthly_payment:
          type: number
        ratios:
          type: object
        stress_test:
          type: object
        recommendation:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````